Bug 444494 - imsettings aborts in %post
imsettings aborts in %post
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-chooser (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Blocker
  Show dependency treegraph
 
Reported: 2008-04-28 13:40 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-29 10:12:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-28 13:40:39 EDT
Description of problem:

  Updating  : imsettings                   ####################### [ 7/42]
/var/tmp/rpm-tmp.51378: line 4: 21741 Aborted                 imsettings-reload
-f > /dev/null 2>&1

imsettings-0.99.6-2.fc9.x86_64
Comment 1 Akira TAGOH 2008-04-28 21:52:33 EDT
Can you reproduce it if you run imsettings-reload -f manually? I guess you were
updating on the system that doesn't have a dbus session.
Comment 2 Bill Nottingham 2008-04-28 22:15:50 EDT
Yes, I can. There is a system dbus running, but I'm upgrading over ssh.

[root@localhost ~]# imsettings-reload  -f

(imsettings-reload:27029): IMSettings-CRITICAL **: imsettings_request_new:
assertion `connection != NULL' failed

(imsettings-reload:27029): IMSettings-CRITICAL **: imsettings_request_new:
assertion `connection != NULL' failed

(imsettings-reload:27029): IMSettings-CRITICAL **: imsettings_request_new:
assertion `connection != NULL' failed

(imsettings-reload:27029): IMSettings-CRITICAL **: imsettings_request_reload:
assertion `IMSETTINGS_IS_REQUEST (imsettings)' failed

(imsettings-reload:27029): IMSettings-CRITICAL **: imsettings_request_reload:
assertion `IMSETTINGS_IS_REQUEST (imsettings)' failed

(imsettings-reload:27029): IMSettings-CRITICAL **: imsettings_request_reload:
assertion `IMSETTINGS_IS_REQUEST (imsettings)' failed
Reloaded.

(imsettings-reload:27029): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(imsettings-reload:27029): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed

(imsettings-reload:27029): GLib-GObject-CRITICAL **: g_object_unref: assertion
`G_IS_OBJECT (object)' failed
process 27029: arguments to dbus_connection_unref() were incorrect, assertion
"connection != NULL" failed in file dbus-connection.c line 2645.
This is normally a bug in some application using the D-Bus library.
  D-Bus not built with -rdynamic so unable to print a backtrace
Aborted
Comment 3 Akira TAGOH 2008-04-28 22:34:50 EDT
Thanks. well, imsettings doesn't use the system bus but the session bus.
probably I shouldn't run it at %post in this case? or consider another way of
notifying the update. adding a sanity check more now anyway.
Comment 4 Bill Nottingham 2008-04-28 22:40:05 EDT
Well, if nothing else, silently exit instead of aborting.

You're always going to be upgrading as root anyway - will you ever be able to
access the users's system bus properly?
Comment 5 Jeremy Katz 2008-04-28 23:56:47 EDT
Unlikely, unless the "user" is root.
Comment 6 Akira TAGOH 2008-04-29 00:10:22 EDT
built 0.99.6-3. abort should be gone.
Comment 7 Bill Nottingham 2008-04-29 10:12:57 EDT
Tested, works, tagged, in the tree.

Note You need to log in before you can comment on or make changes to this bug.